domingo, diciembre 27, 2015

error: GPGME No data. No se pudo iniciar la operación (base de datos no válida o dañada (firma PGP))


De repente vamos a actualizar o instalar un programa en nuestro Linux y encontramos con el error: GPGME, base de datos no válida o dañada.

Primero intentaremos probar si es problema de nuestra red, asegurarse de que tengamos internet, si el problema continua eliminamos las firmas
sudo rm /var/lib/pacman/sync/*db.sig*
sudo pacman -Syyu

Ya debería de funcionar.
Si volviera a fallar (o los comandos anteriores no funcionaron), deberemos de realizar un cambio de servidor en mirrorlist y otros ajustes en el anillo de claves:
sudo pacman-key --populate
sudo pacman-key --refresh
sudo pacman-mirrors -g
Y volver a usar los primeros comandos
sudo pacman -Syyu

Un saludo!

6 Comentarios :

  1. Genial compañero!!! Me tenia loco este error y despues de tantas busquedas. Tu solución fue la que lo arregló. Un saludo y feliz año.

    ResponderEliminar
    Respuestas
    1. Feliz año compañero!
      Me alegro mucho que te haya resultado útil, es el motivo de compartirlo, ya que a mi también me pasó y me volví loco hasta dar "con la tecla".
      Gracias por leerme :-)
      Un saludo!

      ...Si te gustó, no dudes en compartir el enlace frikinux en redes sociales o donde sea!...

      Eliminar
    2. Un maestro, me sirvió, muchas gracias !!!

      Eliminar
    3. Bien!! Me alegro!
      Gracias a ti por leerme. :)

      ---Si te gustó compártelo! Búscame en Twitter y Facebook. Recomienda a tus amigos!!---

      Eliminar
  2. compañeros son los huevos y se golpean

    ResponderEliminar
    Respuestas
    1. xD
      ¡Si te sirvió no dudes en compartirlo en tus redes sociales, puedes ayudar a más gente!

      Eliminar

 
Google+